## base-installer 1.76

=== Makefile ===
BIN = run-debootstrap
CFLAGS = -Wall -g -D_GNU_SOURCE

ifdef DEBUG
CFLAGS:=$(CFLAGS) -g3
else
CFLAGS:=$(CFLAGS) -Os -fomit-frame-pointer
endif

$(BIN): run-debootstrap.c
	$(CC) $(CFLAGS) -o $@ $^ -ldebconfclient -ldebian-installer

small: CFLAGS:=-Os $(CFLAGS)
small: clean $(BIN)
	strip --remove-section=.comment --remove-section=.note $(BIN)
	ls -l $(BIN)

clean:
	-rm -f $(BIN)

=== debian/changelog ===
base-installer (1.76) unstable; urgency=low

  * Improve detection of Centaurhauls VIA processors. Only the later models
    (Nehemiah and Esther) support the 686 kernel flavor; the older models
    (Samuel and Ezra) need the 486 flavor. Closes: #414192.

 -- Frans Pop <fjp@debian.org>  Mon, 12 Mar 2007 14:45:30 +0100

base-installer (1.75) unstable; urgency=low

  * Set Aptitude::CmdLine::Ignore-Trust-Violations in allow_unauthenticated
    mode. Seems that aptitude needs two options for some reason.
    Closes: #411927

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Feb 2007 15:00:07 -0500

base-installer (1.74) unstable; urgency=low

  * Only pass keyring to debootstrap if using a network protocol.

 -- Joey Hess <joeyh@debian.org>  Sat, 17 Feb 2007 14:13:08 -0500

base-installer (1.73) unstable; urgency=low

  [ Aurélien GÉRÔME ]
  * Add VIA C7 processor definition and test case. Closes: #410819.

  [ Joey Hess ]
  * Add support for armel.
  * If debian-installer/allow_unauthenticated exists and is true, write a
    /etc/apt/apt.conf.d/00AllowUnauthenticated file making apt allow
    unauthenticated mirrors.
  * Depend on gpgv-udeb, which has apparently never really been pulled in
    before.

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Swedish (sv.po) by Daniel Nylander

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Feb 2007 16:04:00 -0500

base-installer (1.72) unstable; urgency=low

  [ Colin Watson ]
  * Fix processor detection on SMP i386 and amd64 systems when booting with
    an SMP-capable kernel.
    See https://bugs.launchpad.net/ubuntu/+source/base-installer/+bug/79109;
    test case taken from that bug.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Hebrew (he.po) by Lior Kaplan
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Peter Mann

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 11:23:40 +0100

base-installer (1.71) unstable; urgency=low

  [ Colin Watson ]
  * Strip comments from debian/templates-arch in output templates file.

  [ Frans Pop ]
  * Also write the default header comments for kernel-img.conf.
  * For powerpc/prep systems, write the root partition to an initramfs-tools
    config file. Thanks to Ulrich Teichert for testing. Closes: #405572.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Danish (da.po) by Claus Hindsgaul
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Galician (gl.po) by Jacobo Tarrio
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovenian (sl.po) by Matej Kovačič
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Frans Pop <fjp@debian.org>  Sat,  6 Jan 2007 20:15:26 +0100

=== debian/control ===
Source: base-installer
Section: debian-installer
Priority: required
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Sven Luther <luther@debian.org>, dann frazier <dannf@debian.org>, Bdale Garbee <bdale@gag.com>, Frans Pop <fjp@debian.org>, Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper (>= 5.0.22), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/base-installer

Package: base-installer
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, mounted-partitions, debootstrap-udeb (>= 0.3.1), created-fstab, archdetect, di-utils-mapdevfs, di-utils (>= 1.16), rootskel (>= 1.19), gpgv-udeb
Provides: kernel-installer
XB-Installer-Menu-Item: 65
Description: Install the base system

=== debian/rules ===
#! /usr/bin/make -f

ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)

tmp = $(CURDIR)/debian/base-installer

build: build-stamp debian/templates
build-stamp:
	dh_testdir
ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	$(MAKE) small
else
	$(MAKE) DEBUG=1
endif
	touch $@

debian/templates: debian/templates-arch
	debian/templates-build.pl $(ARCH) < $< > $@
	# give the new templates file the same mtime as the input file, so
	# that po2debconf doesn't decide that it needs to run
	# debconf-updatepo
	touch -mr $< $@

clean:
	dh_testdir
	rm -f build-stamp
	$(MAKE) clean    
	dh_clean debian/templates

test:
	$(MAKE) -C kernel test

install: build test
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install run-debootstrap usr/sbin
	if [ -e "kernel/$(ARCH).sh" ]; then \
		dh_installdirs usr/lib/base-installer; \
		install -m644 "kernel/$(ARCH).sh" \
		              $(tmp)/usr/lib/base-installer/kernel.sh; \
	fi
	dh_installdirs usr/lib/finish-install.d
	install -m755 finish-install $(tmp)/usr/lib/finish-install.d/90base-installer

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdebconf -n
	(echo ; cat debian/templates) >> debian/base-installer/DEBIAN/templates
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: clean binary-indep binary-arch binary install

## base-installer 1.76etch1

=== debian/changelog ===
base-installer (1.76etch1) stable; urgency=low

  * powerpc: correctly recognize systems with 'RS64-IV (sstar)' cpu as
    powerpc64 (closes: #469030).

 -- Frans Pop <fjp@debian.org>  Fri, 07 Mar 2008 12:37:42 +0100

## base-installer 1.81ubuntu4

=== debian/control ===
Source: base-installer
Section: debian-installer
Priority: required
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Sven Luther <luther@debian.org>, dann frazier <dannf@debian.org>, Bdale Garbee <bdale@gag.com>, Frans Pop <fjp@debian.org>, Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper (>= 5.0.22), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/base-installer

Package: base-installer
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, mounted-partitions, debootstrap-udeb (>= 0.3.1), created-fstab, archdetect, di-utils-mapdevfs, di-utils (>= 1.48), rootskel (>= 1.19), gpgv-udeb, ubuntu-keyring-udeb
Provides: kernel-installer, installed-base
XB-Installer-Menu-Item: 6500
Description: Install the base system

## base-installer 1.86ubuntu2.2

=== debian/control ===
Source: base-installer
Section: debian-installer
Priority: required
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Sven Luther <luther@debian.org>, dann frazier <dannf@debian.org>, Bdale Garbee <bdale@gag.com>, Frans Pop <fjp@debian.org>, Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper (>= 5.0.22), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)
XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/base-installer
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/base-installer/ubuntu

Package: base-installer
XC-Package-Type: udeb
Architecture: all
Depends: ${shlibs:Depends}, di-utils-mapdevfs, di-utils (>= 1.48), rootskel (>= 1.19)
Description: base system installation framework

Package: bootstrap-base
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, mounted-partitions, created-fstab, base-installer, debootstrap-udeb (>= 1.0.7), gpgv-udeb, ubuntu-keyring-udeb, archdetect
Provides: kernel-installer, installed-base
XB-Installer-Menu-Item: 6500
Description: Install the base system

## base-installer 1.86ubuntu2.4

=== debian/changelog ===
base-installer (1.86ubuntu2.4) hardy-proposed; urgency=low

  * Honour apt-setup/security_path when constructing initial security
    entries in sources.list (LP: #820306).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Aug 2011 11:24:38 +0100

base-installer (1.86ubuntu2.3) hardy-proposed; urgency=low

  * Use the correct mirror for -security in the event of
    apt-setup/security_host being preseeded (LP: #306356).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Dec 2008 12:16:07 +0000

base-installer (1.86ubuntu2.2) hardy-proposed; urgency=low

  * Fix exclusion of restricted in CD installations (LP: #220805).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Jun 2008 11:38:05 +0100

base-installer (1.86ubuntu2.1) hardy-proposed; urgency=low

  * Don't include restricted in the base sources.list if
    apt-setup/restricted is preseeded to false (LP: #220805).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 May 2008 22:40:15 +0200

base-installer (1.86ubuntu2) hardy; urgency=low

  [ Colin Watson ]
  * If apt-setup/proposed is true, set up the default sources.list to look
    in -proposed as well (LP: #181776).
  * If base-installer/use_unclean_target is asked, emit a warning to the
    logs so that we know about it when diagnosing problems.

  [ Soren Hansen ]
  * Add support for AMD CPU family 16 on i386 (LP: #187869).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Feb 2008 10:25:10 +0000

base-installer (1.86ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use and depend on the Ubuntu keyring.
    - Enable the restricted component by default.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite.
    - Use Ubuntu kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Write out the resume partition as a UUID if possible.
    - Install busybox-initramfs rather than busybox.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Dec 2007 17:46:16 +0000

base-installer (1.86) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add support for the Orion (ARM) platform.

  [ Updated translations ]
  * Slovak (sk.po) by Ivan Masár

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 29 Nov 2007 09:15:41 +0100

base-installer (1.85ubuntu3) hardy; urgency=low

  * Fix construction of sources.list when installing from the network (">"
    used in place of ">>"). Thanks to Timo Aaltonen for the report.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Nov 2007 10:06:16 +0000

base-installer (1.85ubuntu2) hardy; urgency=low

  * Install busybox-initramfs rather than busybox.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Nov 2007 14:34:33 +0000

base-installer (1.85ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use and depend on the Ubuntu keyring.
    - Enable the restricted component by default.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite.
    - Use Ubuntu kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Write out the resume partition as a UUID if possible.
  * Set the Vcs-Bzr field to the Ubuntu branch.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 27 Nov 2007 15:50:44 -0500

base-installer (1.85) unstable; urgency=low

  * Bind mount /dev to /target/dev instead of creating device nodes for
    devicemapper etc.
  * Ensure static devices created during installation are preserved by first
    bind mounting /target/dev on /dev/.static/dev/. MAKEDEV will then detect
    udev is used (provided proc is mounted in /target).
    Note: any devices created in /target/dev/ itself will get lost.
  * Utility pkgdetails moved from debootstrap-udeb to bootstrap-base so that
    debootstrap-udeb can become 'Architecture: all'.
  * Requires debootstrap-udeb (1.0.7).

 -- Frans Pop <fjp@debian.org>  Wed, 14 Nov 2007 12:16:37 +0100

base-installer (1.84) unstable; urgency=low

  [ Frans Pop ]
  * Drop isinstallable test for sarge, we don't support sarge installs
    anymore.
  * Remove support for sparc32.

  [ Colin Watson ]
  * Clean up /tmp/available_kernels.txt.unfiltered too.

  [ Joey Hess ]
  * Install busybox before installing initramfs-tools, to support version 0.91
    which will only recommend busybox.

  [ Updated translations ]
  * Bengali (bn.po) by Jamil Ahmed
  * Italian (it.po) by Stefano Canepa
  * Dutch (nl.po) by Frans Pop
  * Swedish (sv.po) by Daniel Nylander
  * Vietnamese (vi.po) by Clytie Siddall

 -- Otavio Salvador <otavio@debian.org>  Tue, 11 Sep 2007 09:12:17 -0300

base-installer (1.83) unstable; urgency=low

  [ Fabio M. Di Nitto ]
  * Install smp kernel by default on sun4v (Niagara based sparc).
    With the new LDOM support on the way, adding/removing CPU's
    from control/service/guest nodes is easy as drinking a glass
    of water. With this change we will guarantee that the user
    will always get the best setup.

  [ Frans Pop ]
  * Drop preprogrammed kernel defaults as that mechanism is no longer used.
  * Restructure kernel selection to allow for preseeding. Preseeding "none"
    to skip installing a kernel is supported.
  * If we could not determine any reasonable default kernel, ask the question
    at critical priority.
  * Sort the kernel list in ascending order. With the improved method of
    selecting a default and the fact that we no longer have different kernel
    major versions, reverse sorting is no longer as important, especially as
    using a descending order has its own disadvantages.

  [ Joey Hess ]
  * Move dependencies on mounted-partitions and created-fstab from
    base-installer to bootstrap-base.

  [ Updated translations ]
  * Punjabi (Gurmukhi) (pa.po) by A S Alam
  * Portuguese (pt.po) by Miguel Figueiredo


## base-installer 1.86ubuntu7.1

=== debian/changelog ===
base-installer (1.86ubuntu7.1) intrepid-proposed; urgency=low

  * Use the correct mirror for -security in the event of
    apt-setup/security_host being preseeded (LP: #306356).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Dec 2008 13:38:05 +0000

base-installer (1.86ubuntu7) intrepid; urgency=low

  * Add support for virtual kernel flavour on amd64 (LP: #283368).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Oct 2008 17:25:53 +0100

base-installer (1.86ubuntu6) intrepid; urgency=low

  * Add support for AMD family 17 on i386.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Sep 2008 00:50:13 +0100

base-installer (1.86ubuntu5) intrepid; urgency=low

  * Never select /dev/ramzswap* as a hibernation target.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Sep 2008 15:11:19 +0100

base-installer (1.86ubuntu4) intrepid; urgency=low

  * Merge from hardy-proposed:
    - Fix exclusion of restricted in CD installations (LP: #220805).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Aug 2008 00:46:31 +0100

base-installer (1.86ubuntu3) intrepid; urgency=low

  * Use powerpc64-smp kernel on PS3/Cell (LP: #221647).
  * Don't include restricted in the base sources.list if
    apt-setup/restricted is preseeded to false (LP: #220805).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 May 2008 22:37:07 +0200

## base-installer 1.98

=== Makefile ===
ifndef TARGETS
TARGETS=pkgdetails run-debootstrap
endif

CFLAGS = -Wall -g -D_GNU_SOURCE

ifdef DEBUG
CFLAGS:=$(CFLAGS) -g3
else
CFLAGS:=$(CFLAGS) -Os -fomit-frame-pointer
endif

all: $(TARGETS)

pkgdetails: pkgdetails.c
	$(CC) $(CFLAGS) -o $@ $^

run-debootstrap: run-debootstrap.c
	$(CC) $(CFLAGS) -o $@ $^ -ldebconfclient -ldebian-installer

small: CFLAGS:=-Os $(CFLAGS)
small: $(TARGETS)
	strip --remove-section=.comment --remove-section=.note $^
	ls -l $^

clean:
	-rm -f $(TARGETS)

=== debian/changelog ===
base-installer (1.98) unstable; urgency=low

  [ Colin Watson ]
  * Add support for AMD CPU families 16 (Phenom) and 17 (Griffin/Puma) on
    i386 (thanks, Roger Mach and Soren Hansen).

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Bosnian (bs.po) by Armin Besirovic
  * Danish (da.po)
  * Esperanto (eo.po) by Felipe Castro
  * Hungarian (hu.po) by SZERVÁC Attila
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Slovenian (sl.po) by Vanja Cvelbar
  * Albanian (sq.po) by Elian Myftiu
  * Serbian (sr.po) by Veselin Mijušković
  * Ukrainian (uk.po) by Євгеній Мещеряков

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 21:49:10 -0300

base-installer (1.96) unstable; urgency=low

  * Only set driver inclusion policy if other than 'most'. The maintainer
    of initramfs-tools assures us that the default will not change.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Finnish (fi.po) by Esko Arajärvi
  * Hebrew (he.po) by Omer Zak
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Georgian (ka.po) by Aiet Kolkhi
  * Central Khmer (km.po) by KHOEM Sokhem
  * Korean (ko.po) by Changwoo Ryu
  * Malayalam (ml.po) by പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
  * Marathi (mr.po) by Sampada
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Polish (pl.po) by Bartosz Fenski
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Deng Xiyue

 -- Frans Pop <fjp@debian.org>  Sun, 14 Sep 2008 12:18:24 +0200

base-installer (1.95) unstable; urgency=low

  [ Frans Pop ]
  * Install filesystem related packages after running the post-install hooks,
    as the former might be interactive. Installing them after locales has
    been installed avoids perl errors. Closes: #496130

 -- Otavio Salvador <otavio@debian.org>  Thu, 28 Aug 2008 10:21:45 -0300

base-installer (1.94) unstable; urgency=low

  [ Frans Pop ]
  * Allow to select driver inclusion policy for initramfs-tools
    Closes: #494466

  [ Martin Michlmayr ]
  * Use MODULES=dep on arm and armel.

  [ Jérémy Bobbio ]
  * i386: Use -486 flavour for all CentaurHauls processors.  As they lack long
    NOP instructions, -686 kernels since 2.6.22+ fail to boot on these
    processors even if they claim 686 compatibility.  Closes: #492751

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * Greek, Modern (1453-) (el.po)
  * Esperanto (eo.po) by Felipe Castro
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 24 Aug 2008 21:47:33 +0300

base-installer (1.93) unstable; urgency=low

  [ Frans Pop ]
  * Improve kernel selection for AMD64. All k8 and most k7 systems support the
    686 kernel flavor. Only older k7 systems without SSE support need 486.
    Based on documentation the divider seems to be at family 6, model 6.
    Closes: #490542.
  * Avoid locale related errors up to the point where locales gets installed
    by setting IT_LANG_OVERRIDE=C for apt-install.

  [ Ian Campbell ]
  * i386: If the installer is running a -bigmem kernel and the processors
    support PAE then select a -bigmem kernel for installation. For
    compatibility with running under Xen. Closes: #480054.

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi
  * Croatian (hr.po) by Josip Rodin
  * Italian (it.po) by Milo Casagrande
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Slovak (sk.po) by Ivan Masár
  * Turkish (tr.po) by Mert Dirik

 -- Otavio Salvador <otavio@debian.org>  Tue, 29 Jul 2008 12:08:43 -0300

base-installer (1.92) unstable; urgency=low

  * Call base-installer.d hooks after running debootstrap, for consistency
    with live-installer. (So, pre_install_hooks is run after bootstrap, but
    before anything is installed with apt. So the name still makes a kind
    of sense, if you squint..)
  * Remove sources.list before running base-installer.d hooks. Otherwise,
    apt-install will try to run apt, rather than queuing, and apt is not
    configured yet.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Slovenian (sl.po) by Matej Kovacic
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Mert Dirik
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Jun 2008 15:46:22 -0400

base-installer (1.91) unstable; urgency=low

  [ Updated translations ]
  * Dzongkha (dz.po) by Jurmey Rabgay(Bongop) (DIT,BHUTAN)
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Korean (ko.po) by Changwoo Ryu
  * Marathi (mr.po) by Sampada
  * Norwegian Bokmal (nb.po) by Hans Fredrik Nordhaug
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Punjabi (Gurmukhi) (pa.po) by Amanpreet Singh Alam


=== debian/control ===
Source: base-installer
Section: debian-installer
Priority: required
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, dann frazier <dannf@debian.org>, Frans Pop <fjp@debian.org>, Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper (>= 5.0.22), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/base-installer

Package: base-installer
XC-Package-Type: udeb
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, di-utils-mapdevfs, di-utils (>= 1.48), rootskel (>= 1.19)
Description: base system installation framework

Package: bootstrap-base
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, mounted-partitions, created-fstab, base-installer, debootstrap-udeb (>= 1.0.7), gpgv-udeb, debian-archive-keyring-udeb, archdetect
Provides: kernel-installer, installed-base
XB-Installer-Menu-Item: 6500
Description: Install the base system

=== debian/rules ===
#! /usr/bin/make -f

ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)

build: build-stamp debian/templates.gen
build-stamp:
	dh_testdir
ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	$(MAKE) small
else
	$(MAKE) DEBUG=1
endif
	touch $@

debian/templates.gen: debian/templates-arch
	debian/templates-build.pl $(ARCH) < $< > $@
	# give the new templates file the same mtime as the input file, so
	# that po2debconf doesn't decide that it needs to run
	# debconf-updatepo
	touch -mr $< $@

clean:
	dh_testdir
	rm -f build-stamp
	$(MAKE) clean    
	dh_clean debian/templates.gen

test:
	$(MAKE) -C kernel test

binary-indep:
	dh_testdir
	dh_testroot
	dh_clean -k
	
	dh_install library.sh usr/lib/base-installer
	dh_installdirs usr/lib/finish-install.d
	install -m755 finish-install debian/base-installer/usr/lib/finish-install.d/90base-installer
	
	dh_installdebconf -i -n
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_builddeb -i

binary-arch: build test
	dh_testdir
	dh_testroot
	
	dh_install -p bootstrap-base run-debootstrap usr/sbin
	dh_install -p bootstrap-base pkgdetails usr/lib/debootstrap
	if [ -e "kernel/$(ARCH).sh" ]; then \
		dh_installdirs -p bootstrap-base usr/lib/base-installer; \
		install -m644 "kernel/$(ARCH).sh" \
		              debian/bootstrap-base/usr/lib/base-installer/kernel.sh; \
	fi
	
	dh_installdebconf -a -n
	(echo ; cat debian/templates.gen) >> debian/bootstrap-base/DEBIAN/templates
	cp debian/bootstrap-base.isinstallable debian/bootstrap-base/DEBIAN/isinstallable
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: clean binary-indep binary-arch binary install

## base-installer 1.103ubuntu8

=== debian/changelog ===
base-installer (1.103ubuntu8) lucid-proposed; urgency=low

  * Honour apt-setup/security_path when constructing initial security
    entries in sources.list (LP: #820306).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Aug 2011 11:11:28 +0100

base-installer (1.103ubuntu7) lucid; urgency=low

  * Add armel/omap subarchitecture.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Apr 2010 14:28:26 +0100

base-installer (1.103ubuntu6) lucid; urgency=low

  * Handle armel metapackages in ordering hack (imx51, dove, and omap).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 30 Mar 2010 10:21:10 +0100

base-installer (1.103ubuntu5) lucid; urgency=low

  * Add support for preempt kernel flavour on amd64 (LP: #541625).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Mar 2010 10:06:10 +0000

base-installer (1.103ubuntu4) lucid; urgency=low

  * Add base-installer/kernel/backports-modules template, which may be
    preseeded to install selected linux-backports-modules-* packages
    (LP: #526422).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Feb 2010 17:45:53 +0000

base-installer (1.103ubuntu3) lucid; urgency=low

  * Backport from trunk:
    - Ensure that Acquire::cdrom::AutoDetect is disabled when running
      apt-cdrom.  We bind-mount /target/cdrom, so apt's new libudev-based
      autodetection isn't needed during installation.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Feb 2010 12:51:40 -0800

base-installer (1.103ubuntu2) lucid; urgency=low

  * Explicitly ignore Recommends while installing the kernel. We don't want
    to install bootloaders at this point.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Dec 2009 15:04:25 +0000

base-installer (1.103ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use and depend on the Ubuntu keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite;
      also -proposed if apt-setup/proposed is true.
    - Use Ubuntu kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armel/imx51 and armel/dove subarchitectures.
    - Prefer PAE kernels on machines with >3GB of RAM.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
  * Remove all traces of lpia, which is being decommissioned (see
    https://blueprints.launchpad.net/ubuntu/+spec/mobile-lucid-lpia-future).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Dec 2009 12:21:27 +0000

base-installer (1.103) unstable; urgency=low

  [ Aurelien Jarno ]
  * Add scripts to select GNU/kFreeBSD kernels.
  * Add kfreebsd-amd64 and kfreebsd-i386 to the testsuite.

  [ Frans Pop ]
  * Allow to configure APT in the target system to not install Recommends by
    default using the base-installer/install-recommends template. The option
    is only intended for experienced users and is therefore not offered in a
    dialog. It can be either preseeded or set at the boot prompt.
    Together with changes in other components, this also makes what's set
    using this option the global default for all package installs during the
    installation process (with the exception of debootstrap).
    Closes: #543256.

  [ Christian Perrier ]
  * Replace one occurrence of "bootloader" in debconf templates

  [ Frans Pop ]
  * Remove no longer needed Lintian override for missing Standards-
    Version field.

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Antonio Alvarez Costales
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Ask Hjorth Larsen
  * German (de.po) by Holger Wansing
  * Greek, Modern (1453-) (el.po) by Emmanuel Galatoulas
  * Esperanto (eo.po) by Felipe Castro
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Italian (it.po) by Milo Casagrande
  * Korean (ko.po) by Changwoo Ryu
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Deng Xiyue

 -- Frans Pop <fjp@debian.org>  Mon, 16 Nov 2009 14:05:24 +0100

base-installer (1.102ubuntu2) karmic; urgency=low

  * Install kernel headers to match the kernel (LP: #413135). This may be
    overridden by setting base-installer/kernel/headers to false.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Oct 2009 20:47:08 +0100

base-installer (1.102ubuntu1) karmic; urgency=low

  * Resynchronise with Debian (STANZAS addition fixes LP: #435376).
    Remaining changes:
    - Use and depend on the Ubuntu keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite;
      also -proposed if apt-setup/proposed is true.
    - Use Ubuntu kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to


## base-installer 1.107ubuntu4

=== debian/changelog ===
base-installer (1.107ubuntu4) maverick-proposed; urgency=low

  * Honour apt-setup/security_path when constructing initial security
    entries in sources.list (LP: #820306).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Aug 2011 11:31:39 +0100

base-installer (1.107ubuntu3) maverick; urgency=low

  * Backport from trunk:
    - Move base-installer/install-recommends from bootstrap-base.templates
      to base-installer.templates.

 -- Cody A.W. Somerville <cody.somerville@canonical.com>  Wed, 29 Sep 2010 11:20:54 +0100

base-installer (1.107ubuntu2) maverick; urgency=low

  * Backport from trunk:
    - Set Dir::Media::MountPath to /media/cdrom as well as
      Acquire::cdrom::mount, as otherwise apt doesn't consistently read from
      the right one.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Sep 2010 13:28:28 +0100

base-installer (1.107ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use and depend on the Ubuntu keyring.
    - Enable the restricted component by default, unless
      apt-setup/restricted is preseeded to false.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite;
      also -proposed if apt-setup/proposed is true.
    - Use Ubuntu kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Install busybox-initramfs rather than busybox.
    - Revert Joey's patch to call base-installer.d hooks after running
      debootstrap, which broke console-setup's expectation of being able to
      insert its configuration file into /target before console-setup is
      installed by debootstrap.
    - Add armel/imx51, armel/dove, and armel/omap subarchitectures.
    - Prefer PAE kernels on machines with >3GB of RAM.
    - Install kernel headers to match the kernel. This may be overridden by
      setting base-installer/kernel/headers to false.
    - Add base-installer/kernel/backports-modules template, which may be
      preseeded to install selected linux-backports-modules-* packages.
  * Drop patch to ignore Recommends while installing the kernel, superseded
    by a more general change upstream.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 May 2010 12:06:04 +0100

base-installer (1.107) unstable; urgency=low

  [ Frans Pop ]
  * Fix install_extra() to actually display the return code from apt-install
    in case of an error.

  [ Aurelien Jarno ]
  * Add script and tests to select SH4 kernels.
  * Add code to install GNU/kFreeBSD kernel.

  [ Updated translations ]
  * Asturian (ast.po) by astur
  * Danish (da.po) by Anders Jenbo
  * German (de.po) by Holger Wansing
  * French (fr.po) by Christian Perrier
  * Hebrew (he.po) by Lior Kaplan
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Norwegian Nynorsk (nn.po) by Eirik U. Birkeland

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 13 May 2010 23:10:53 +0200

base-installer (1.106) unstable; urgency=low

  * Define the mount point for apt-cdrom in target as /media/cdrom instead
    of /cdrom as the latter was deprecated back in Etch.

  [ Updated translations ]
  * Hebrew (he.po) by Omer Zak
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Frans Pop <fjp@debian.org>  Fri, 12 Mar 2010 22:48:17 +0100

base-installer (1.105) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.
  * Ensure that Acquire::cdrom::AutoDetect is disabled when running
    apt-cdrom.  We bind-mount /target/cdrom, so apt's new libudev-based
    autodetection isn't needed during installation.

  [ Frans Pop ]
  * powerpc: add kernel selection support for PlayStation 3 systems.
  * Don't install Recommends during base system installation as it leads to
    inconsistencies and requires too many exceptions. Instead delay enabling
    installation of Recommends to the very end of base system installation.
    Any package installations after base-installer will follow the debconf
    setting install-recommends, unless overridden in a call to 'apt-install'.
  * Drop install_filesystems step as that is now being taken care of by
    post-base-installer.d hook scripts.
    Requires: partman-base (138), partman-md (50), partman-lvm (69),
    partman-crypto (41).

  [ Updated translations ]
  * Bengali (bn.po) by Israt Jahan
  * German (de.po) by Holger Wansing
  * Hebrew (he.po) by Lior Kaplan
  * Slovenian (sl.po) by Vanja Cvelbar
  * Simplified Chinese (zh_CN.po) by 苏运强

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Feb 2010 23:08:51 -0300

base-installer (1.104) unstable; urgency=low

  * Remove options relative_links and do_bootfloppy from default
    /etc/kernel-img.conf file as requested by Maximilian Attems.
  * Allow for options to be present in queue for apt-install (di-utils 1.73).

  [ Updated translations ]
  * Asturian (ast.po) by astur
  * Belarusian (be.po) by Pavel Piatruk
  * Esperanto (eo.po) by Felipe Castro
  * Galician (gl.po) by Marce Villarino
  * Italian (it.po) by Milo Casagrande
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Frans Pop <fjp@debian.org>  Wed, 23 Dec 2009 00:20:24 +0100

## base-installer 1.115

=== debian/changelog ===
base-installer (1.115) unstable; urgency=low

  [ Miguel Figueiredo ]
  * add title to pick_kernel and driver-policy

  [ Otávio Salvador ]
  * warn when used with an unknown OS value.

  [ Updated translations ]
  * Lao (lo.po) by Anousak Souphavanh
  * Northern Sami (se.po) by Børre Gaup
  * Sinhala (si.po) by Danishka Navin
  * Slovenian (sl.po) by Vanja Cvelbar
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 19:08:53 -0200

base-installer (1.114) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Prefer 686 kernel over 486 kernel for VIA C7-D CPUs, ie family 6
    model 13 (Closes: #517121).

  [ Colin Watson ]
  * Unset MACHINE before running tests, to avoid environment pollution.

  [ Otavio Salvador ]
  * Avoid using UUID for swap partitions stored at LVM. Closes: #568877.

  [ Updated translations ]
  * Bengali (bn.po) by Israt Jahan
  * Catalan (ca.po) by Jordi Mallach
  * Persian (fa.po) by Behrad Eslamifar
  * Icelandic (is.po) by Sveinn í Felli
  * Kazakh (kk.po) by Baurzhan Muftakhidinov

 -- Otavio Salvador <otavio@ossystems.com.br>  Sat, 13 Nov 2010 08:58:32 -0200

base-installer (1.113) unstable; urgency=low

  * Move base-installer/install-recommends from bootstrap-base.templates
    to base-installer.templates.

 -- Otavio Salvador <otavio@debian.org>  Sun, 26 Sep 2010 14:56:54 -0300

base-installer (1.112) unstable; urgency=low

  * Set Dir::Media::MountPath to /media/cdrom as well as
    Acquire::cdrom::mount, as otherwise apt doesn't consistently read from
    the right one.

  [ Updated translations ]
  * Danish (da.po) by Anders Jenbo

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Sep 2010 23:09:20 +0100

base-installer (1.111) unstable; urgency=low

  * Team upload
  * Really add kernel/tests/i386/pentium-4M-bigmem-2.test

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Sep 2010 11:51:14 +0200

base-installer (1.110) unstable; urgency=low

  * Team upload.
  
  [ Ben Hutchings ]
  * Improve i386 kernel flavour selection. Closes: #589579
    - Prefer 686-bigmem flavour if it is needed to access all RAM
    - Prefer 686 or 686-bigmem flavour for all AMD K7 processors
    - Offer 686-bigmem and amd64 flavours for processors that support them

 -- Christian Perrier <bubulle@debian.org>  Sat, 04 Sep 2010 07:05:32 +0200

base-installer (1.109) unstable; urgency=low

  [ Jeremie Koenig ]
  * Don't check /proc/mounts if it does not exist (ie. on Hurd) (Closes:
    Bug#588776).
  
  [ Aurelien Jarno ]
  * Teach library.sh how to do a bind mount on Hurd and GNU/kFreeBSD.

  [ Updated translations ]
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Armin Beširović
  * Danish (da.po) by Jacob Sparre Andersen
  * Persian (fa.po) by Ebrahim Byagowi
  * Finnish (fi.po) by Esko Arajärvi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Serbian (sr.po) by Karolina Kalic
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Aug 2010 11:23:24 +0200

base-installer (1.108) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add support for loongson-2e and loongson-2f.

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Danish (da.po) by Jacob Sparre Andersen
  * Persian (fa.po) by acathur
  * Galician (gl.po) by Jorge Barreiro
  * Indonesian (id.po) by Arief S Fitrianto
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Central Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Changwoo Ryu
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Nepali (ne.po)
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by ioan-eugen stan
  * Ukrainian (uk.po) by Borys Yanovych

 -- Christian Perrier <bubulle@debian.org>  Sat, 10 Jul 2010 20:23:41 +0200

## base-installer 1.115+squeeze1

=== debian/changelog ===
base-installer (1.115+squeeze1) squeeze; urgency=low

  * Add POWER7 to the powerpc64 family. (Closes: #637519)

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 03 Jan 2012 13:38:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: debian-installer
 Priority: required
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, dann frazier <dannf@debian.org>, Frans Pop <fjp@debian.org>, Steve Langasek <vorlon@debian.org>
-Build-Depends: debhelper (>= 5.0.22), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)
+Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>, dann frazier <dannf@debian.org>, Frans Pop <fjp@debian.org>, Steve Langasek <vorlon@debian.org>
+Build-Depends: debhelper (>= 7.3.10), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)
 Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/base-installer
 
 Package: base-installer
